Retrieves account details by ID. Account details identify an account that can receive funds (e.g. an IBAN, or a sort code and account number). GB, US and BE account details are supported. Requesting account details for an unsupported country returns 404 Not Found. For coverage across all countries, use the 2026Q3 account details API.
Security
ClientCredentialsToken or UserToken
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
- Production Environmenthttps://api.wise.com/2026Q4/balances/account-details/{id}
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q4/balances/account-details/{id}
curl -i -X GET \
https://api.wise.com/2026Q4/balances/account-details/12345678 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'GetAccountDetails 200 response
Headers
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Name of the account holder as it appears on the account details.
Example:"Sarah Jenkins"
ISO 3166-1 alpha-2 country code the account details belong to.
Example:"GB"
Response
{ "id": 32345678, "profileId": 87654321, "state": "ACTIVE", "accountHolderName": "Sarah Jenkins", "country": "BE", "accountIdentification": { "beAccountIdentification": { "bic": "TRWIBEB1", "iban": "BE71096123456769", "institutionName": "Wise", "institutionAddress": { … } } } }